## WMS Get Routes request WMS Get Routes request |

## Functions

QmiMessageWmsGetRoutesOutput * | qmi_message_wms_get_routes_output_ref ()
void | qmi_message_wms_get_routes_output_unref ()
gboolean | qmi_message_wms_get_routes_output_get_result ()
gboolean | qmi_message_wms_get_routes_output_get_route_list ()
gboolean | qmi_message_wms_get_routes_output_get_transfer_status_report ()
void | qmi_client_wms_get_routes ()
QmiMessageWmsGetRoutesOutput * | qmi_client_wms_get_routes_finish ()

## Types and Values

| QmiMessageWmsGetRoutesOutput
| QmiMessageWmsGetRoutesOutputRouteListElement

## Object Hierarchy

        GBoxed
        ╰── QmiMessageWmsGetRoutesOutput

## Description

## Functions

### qmi_message_wms_get_routes_output_ref ()

    QmiMessageWmsGetRoutesOutput *
    qmi_message_wms_get_routes_output_ref (QmiMessageWmsGetRoutesOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWmsGetRoutesOutput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_wms_get_routes_output_unref ()

    void
    qmi_message_wms_get_routes_output_unref
                                   (QmiMessageWmsGetRoutesOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWmsGetRoutesOutput. |

Since: 1.0

### qmi_message_wms_get_routes_output_get_result ()

    gboolean
    qmi_message_wms_get_routes_output_get_result
                                   (QmiMessageWmsGetRoutesOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageWmsGetRoutesOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.0

### qmi_message_wms_get_routes_output_get_route_list ()

    gboolean
    qmi_message_wms_get_routes_output_get_route_list
                                   (QmiMessageWmsGetRoutesOutput *self,
                                    GArray **value_route_list,
                                    GError **error);

Get the 'Route List' field from `self` .

#### Parameters

self | a QmiMessageWmsGetRoutesOutput. |
value_route_list | a placeholder for the output GArray of QmiMessageWmsGetRoutesOutputRouteListElement elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_wms_get_routes_output_get_transfer_status_report ()

    gboolean
    qmi_message_wms_get_routes_output_get_transfer_status_report
                                   (QmiMessageWmsGetRoutesOutput *self,
                                    QmiWmsTransferIndication *value_transfer_status_report,
                                    GError **error);

Get the 'Transfer Status Report' field from `self` .

#### Parameters

self | a QmiMessageWmsGetRoutesOutput. |
value_transfer_status_report | a placeholder for the output QmiWmsTransferIndication, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_client_wms_get_routes ()

    void
    qmi_client_wms_get_routes (QmiClientWms *self,
                               gpointer unused,
                               guint timeout,
                               GCancellable *cancellable,
                               GAsyncReadyCallback callback,
                               gpointer user_data);

Asynchronously sends a Get Routes request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_wms_get_routes_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientWms. |
unused | `NULL`. This message doesn't have any input bundle. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.0

### qmi_client_wms_get_routes_finish ()

    QmiMessageWmsGetRoutesOutput *
    qmi_client_wms_get_routes_finish (QmiClientWms *self,
                                      GAsyncResult *res,
                                      GError **error);

Finishes an async operation started with `qmi_client_wms_get_routes()`.

#### Parameters

self | a QmiClientWms. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_wms_get_routes()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageWmsGetRoutesOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_wms_get_routes_output_unref()`.

Since: 1.0

## Types and Values

### QmiMessageWmsGetRoutesOutput

    typedef struct _QmiMessageWmsGetRoutesOutput QmiMessageWmsGetRoutesOutput;

The QmiMessageWmsGetRoutesOutput structure contains private data and should only be accessed using the provided API.

Since: 1.0

### QmiMessageWmsGetRoutesOutputRouteListElement

    typedef struct {
        QmiWmsMessageType message_type;
        QmiWmsMessageClass message_class;
        QmiWmsStorageType storage;
        QmiWmsReceiptAction receipt_action;
    } QmiMessageWmsGetRoutesOutputRouteListElement;

A QmiMessageWmsGetRoutesOutputRouteListElement struct.

#### Members

QmiWmsMessageType `message_type`; | a QmiWmsMessageType. |
QmiWmsMessageClass `message_class`; | a QmiWmsMessageClass. |
QmiWmsStorageType `storage`; | a QmiWmsStorageType. |
QmiWmsReceiptAction `receipt_action`; | a QmiWmsReceiptAction. |

Since: 1.0